dh-make-perl (0.85-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * Config: fixup module name after possible setting it when run as 'cpan2deb'
    (Closes: #777718 -- cpan2deb using wrong module from CPAN)

  [ Axel Beckert ]
  * Improve misleading error message if apt-file installed but no contents
    files could be found.
  * Fix parsing of sources.list entry with options in brackets. (Closes:
    #783110; Thanks Lucas Nussbaum for the bug report.)

  [ Andy Beverley ]
  * Check existing new directory name before attempting a rename to it
    (Closes: #774071)
  * Reset Git environment variables to ensure correct repo is used
    (Closes: #774070)
  * Use correct location for deb when using install option
    (Closes: #774072)


  [ Damyan Ivanov ]
  * run 'dpkg -i pkg.deb' with sudo if we aren't root
  * bump years of copyright
  * new routine, info() for printing stuff in verbose mode, with an 'I: ' prefix
  * print the dpkg -i command
  * Packaging: parse 'dist.ini' if present
  * create_copyright: use copyright year from dist.ini (copyright_year)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 24 May 2015 16:12:25 +0000

dh-make-perl (0.84-2) unstable; urgency=medium

  * Add runtime dependency on libyaml-libyaml-perl.
    DhMakePerl::Command::Packaging uses YAML::XS but there was no
    dependency on the respective package.
    Thanks to Moritz Lenz for the bug report. (Closes: #775725)

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Jan 2015 18:56:38 +0100

dh-make-perl (0.84-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Fixing typos from commit message in debian/changelog

  [ Axel Beckert ]
  * t/*.t: use dh-make-perl without path instead of $Bin/../dh-make-perl if
    $ADTTMP is set
  * Add project-.proverc to enforce running with -j1 to avoid race conditions

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 3.9.6
  * Use Standards-Version 3.9.6 in testsuite control files
  * Declare compliance with Debian Policy 3.9.6

  [ gregor herrmann ]
  * Add 'Testsuite' as a valid field to Debian::Control::Stanza::Source.

  [ Damyan Ivanov ]
  * create debian/upstream/metadata in 'make' mode
  * make: add Testsuite: autopkgtest-pkg-perl source header in pkg-perl mode

  [ gregor herrmann ]
  * t/dists.t: check for $ENV{ADTTMP} in all dh-make-perl invocations.
  * Mark package as autopkgtest-able.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Oct 2014 20:56:10 +0000

dh-make-perl (0.83-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Update repository URL in Build.PL to the cgit web frontend
  * When creating debian/control file use cgit web frontend URL for the
    Vcs-Browser field
  * Use cgit web frontend when searching for pkg-perl package repositories

  [ Damyan Ivanov ]
  * HOWTO.release: increase version after tagging

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 22:15:56 +0300

dh-make-perl (0.82-1) unstable; urgency=medium

  * HOWTO.Release: use dpt push in the pushing part
  * make: include dh-make-perl version in the commit message of the initial
    packaging
  * Skip POD tests unless RELEASE_TESTING is present in the environment
    remove RELEASE_TESTING from dh_auto_test invocation
    (Closes: #752917, FTBFS with perl 5.20)
  * fix the error message when more than one command is given on the command
    line
  * the locate command now accepts multiple arguments
  * build-depend on the separately packaged Module::Build

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 Jul 2014 20:25:38 +0300

dh-make-perl (0.81-1) unstable; urgency=medium

  [ Dima Kogan ]
  * If unable to parse pkgname or version, quit with a useful error message.
  * Replaced all 'start_dir' uses with 'main_dir'

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging:
    - install CONTRIBUTING files in extract_docs().
    - require debhelper 9.20120312 only for arch:any packages;
      for arch:all debhelper 8 or 9 are enough
    - add a trailing ~ to all versioned dependencies to make
      backporting easier
    - drop special casing for all kinds of dependencies which needed
      debhelper 7.x.
      Support for debhelper < 8 was dropped in dh-make-perl 0.77.
  * Reword "debhelper(1) 7 tiny" to the more accurate "dh(1)".
    Also rename is_dh7tiny() method to is_dhtiny().
  * Update copyright years.

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * Untangle checks for pristine-tar and upstream tarball in
    git_add_debian() (Closes: #735968)
  * Code-deduplication by splitting up guess_tarball() into
    guess_tarball($prefix) and guess_debian_tarball() and then using
    guess_tarball() also in setup_dir().
  * Iterate over all supported tar ball suffixes in guess_tarball().
  * Use Cwd's realpath for upstream tarball search if main_dir is just "."
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Bump required debhelper version for Module::Build::Tiny to 9.20140227.

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 May 2014 15:29:19 +0300

dh-make-perl (0.80-1) unstable; urgency=low

  [ CSILLAG Tamas ]
  * add Homepage to d/control (lintian check suggested)
  * add rename_to_debian_package_dir.
    This will rename the directory name to the canonical name of
    the debian package.
  * use system("mv ...") when cross device directory move is expected
    otherwise just use rename

  [ Damyan Ivanov ]
  * FromCPAN/find_debs_for_modules: do not crash when all offerred packages
    are perl(-(modules|base))? (Closes: #725206)
  * drop trailing slash from t/Control.t test file

  [ Salvatore Bonaccorso ]
  * Create packages with Standards-Version 3.9.5
  * Adjust Standards-Version in control files of testsuite
  * Bump Standards-Version to 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Tue, 29 Oct 2013 20:52:21 +0200

dh-make-perl (0.79-1) unstable; urgency=low

  * silence a warning when reporting about a core-satisfied dependency without
    a version
  * fix problems with perl 5.18:
    (Closes: #719829)
    + fix missing =back in Debian::Control::Stanza::CommaSeparated POD
    + sort a couple of hash key walks breaking tests with perl 5.18
  * remove the trailing slash from ustream/watch URLs
  * drop usage of experimental given/when in Packaging.pm
  * rework --only internal representation to be a hash
  * t/dists.t: rework running dh-make-perl and give all diagnostics when a
    test fails
  * fix special handling of changed copyright years
  * make dh-make-perl report its version on every invocation

 -- Damyan Ivanov <dmn@debian.org>  Fri, 16 Aug 2013 14:00:30 +0200

dh-make-perl (0.78-1) unstable; urgency=low

  * add $VERSION to all modules
  * use strict; use warnings; everywhere
  * fix a bunch of typos thanks to Test::Spelling

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Aug 2013 14:39:07 +0200

dh-make-perl (0.77-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Bump version for DhMakePerl to 0.77
  * Bump Standards-Version to 3.9.4
  * Create packages with Standards-Version 3.9.4.
    Adjust default Standards-Versions in DhMakePerl::Command::Packaging to
    3.9.4.
    Bump Standards-Version in debian/control for tests to 3.9.4.
  * Use metacpan.org instead of search.cpan.org.
    Use https://metacpan.org instead of http://search.cpan.org in
    debian/watch, debian/copyright and debian/control files.
    Adjust the test files using https://metacpan.org.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Use anonscm.debian.org for source location in debian/copyright
  * Create Vcs-Git with canonical URI (git://anonscm.debian.org)
    (Closes: #697876)

  [ Damyan Ivanov ]
  * add test about handling user:pass@ in sources.list URLs
  * add debian/source/{format,local-options}. shut up, lintian :)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: honour command line options
    for packagename/version in extract_name_ver.

  [ Nathan Handler ]
  * Email change: nhandler -> nhandler@debian.org

  [ Dima Kogan ]
  * Not importing IO::Dir since I'm not using it
  * better handling of upstream-supplied debian/ directories.  If we are
    making a git repo I now remove debian/ directory if the upstream ships
    it. This goes into the 'master' branch, so the 'upstream' branch
    contains the original debian/ directory, and thus matches the
    pristine-tar

  [ gregor herrmann ]
  * DhMakePerl::Command::make: Try to guess tarball name when run from an
    unpacked source directory.
  * DhMakePerl::Command::Packaging: Don't sanitize version if given on the
    command line.
  * Update years of copyright.
  * DhMakePerl::Command::Packaging: replace "This library" with the module
    name in the long description, like we already did with "This module".

  [ Axel Beckert ]
  * DhMakePerl::Command::make: Call git_add_debian before build_package
    and install_package to not add files generated during the package
    build process to the git repository.
  * Add patch by Matthew Gabeler-Lee to understand packages named
    "-vX.Y.Z". (Closes: #701140)
  * Fix "fatal: pathspec '…' did not match any files" error of "git
    add". (Closes: #659526)
  * Add option --build-source to build .dsc file (c.f. #645011). Also add
    a cpan2dsc 'flavour' of dh-make-perl. If it is called by that name,
    the behaviour changes for easy .dsc creation.
  * Mention cpan2deb and cpan2dsc in the long description.
  * Add myself to Uploaders.

  [ Oleg Gashev ]
  * Fixed timestamp regexp to t/dists.t file. If time zone is EDT, failed
    tests from t/dists.t file: Generated tree matches template. Problem
    with incorrect timestamp regexp.

  [ Damyan Ivanov ]
  * Dependency: assume '>=' relationship if missing when constructing from
    hash /usr/share/perl5/Debian/Dependency.pm line 157. Thanks to Robert
    Norris for his patience and his excellent analysis. (Closes: #704480)
  * exclude README in the root directory from .docs "in 9x% we remove it
    from .docs afterwards" this change is a bit of a "big gun", because it
    doesn't really check if README is autogenerated, but hey, fixing a 90%
    false-positive hit is better than introducing a 10% false-negative hit
    (Closes: #608936)
  * drop mangling versions like 2.003004 into 2.3.4 this partially reverts
    385451609f5af2ace92c3838133dd4ed2c605608 see there for the reasoning
    back in 2010 (TODO is interesting) the fix seems to cause more
    problems than it solves. matching cpan-version to debian version is
    dark area

  [ gregor herrmann ]
  * Fix tests for .docs generation.
  * Fix tests for version mangling.
  * debian/control: one 'perl' is enough. Thanks to lintian.

  [ Damyan Ivanov ]
  * use dh 9 for arch:any packages to get hardening flags
  * drop support for debhelper compatibility levels before 8
  * drop documentation and support of rules files for dh7

  [ Lasse Makholm ]
  * Debian::AptContents: Fix repo_source_to_contents_paths() to also work on
    Ubuntu.
    Make sure to generate paths both with and without components to be
    compatible with both old and new apt-file versions.
    (LP: #1034881)

  [ Damyan Ivanov ]
  * use Text::Balanced's extract_quotelike for parsing quoted strings
    (Closes: #717025)
  * do not fail AptContents.t with left over Contents.cache present
  * Control: revert ->binary to plain hashref and provide the Tie::IxHash tie
    via ->binary_tie (Closes: #712432)
  * configure_cpan: save/restore the CWD
  * make: when neither --cpan or a tarball is given, also try to use
    debian-named .orig.tar.gz
  * make: skip pristine-tar if there is no known tarball (Closes: #689476)
  * FromCPAN: catch in-core dependencies that require too new perl and provide
    an out-of-core alternative (Closes: #691534)
  * move mod_cpan_version from ::make to ::Packaging (Closes: #691859)
  * make: warn if pkg-perl already has a packaging repository for the package
    (Closes: #702456)
  * switch default debhelper to 9
  * packages build-depending on Module::Build::Tiny get debhelper 9.20130630
  * bump oldstable perl version from 5.10.0 to 5.10.1
  * make: prune dependencies after discovering additional dependencies
  * do not fail when $wnpp_query is not supplied due to --no-network
  * rules: merge clean: into override_dh_clean:
  * Makefile: defer {real,dist}clean to ./Build too
  * add .pc and Contents.cache to MANIFEST.SKIP
  * rework dists.t using IPC::Run
  * supply data about libmodule-build-tiny-perl in test Contents

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Aug 2013 12:19:07 +0200

dh-make-perl (0.76-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * create_watch: allow single-digit-only versions.
    Thanks to Kevin Ryde for the report and the proposed fix (Closes: #657249)

  [ Salvatore Bonaccorso ]
  * Update debian/copyright file.
    Update format to the copyright-format 1.0 released with Debian policy
    3.9.3.
    Adjust Source location for dh-make-perl to point to the git repository.
    Update copyright years for debian/* packaging.
  * Create debian/copyright with copyright-format 1.0
    debian/copyright files are created following the copyright-format 1.0
    released with Standards-Version 3.9.3.
  * Adjust test files to copyright-format 1.0
  * Bump Standards-Version to 3.9.3
  * Create packages with Standards-Version 3.9.3.
    Adjust control files in t/dists test-files.

  [ Per Carlson ]
  * License attribute from META file is array. (Closes: #664150)

  [ gregor herrmann ]
  * DhMakePerl::Config: mark cpan option as explicitly set when called as
    cpan2deb. Avoids overriding by having a cpan key in ~/.dh-make-perl
    /.dh-make-perl.conf. Thanks to Brendan Byrd for the bug report.
    (Closes: #668084)
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Damyan Ivanov ]
  * D:C:FromCPAN/find_debs_for_modules: search core first
    otherwise we get 'perl-modules (>= 2.21)' when requiring
    ExtUtils::ParseXS 2.21
  * bump copyright years
  * configure_cpan: ignore prerequisites to avoid unnecessary prompts
  * setup_dir: ignore $dist->get return value.
    POD says nothing about it, so false doesn't indicate failure.
    false is sometimes returned when some prerequisites aren't
    satisfied, which is not important for us. (Closes: #686739)
  * honour --arch option.
    Use it if given and skip automatic scan for XS code. (Closes: #668642)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 12 Sep 2012 22:00:00 +0300

dh-make-perl (0.75-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * setup Git repository in --vcs=git even without --pkg-perl
  * when setting up Git repository, add 'origin' remote only in --pkg-perl
    mode
  * fail gracefuly if pristine-tar is not available
  * add libfile-which-perl to (build-)dependencies
  * fix typo in --pristine-tar description
  * document the change of the default value of --vcs from 'svn' to 'git'
  * Apply patch from Dima Kogan, avoiding confusion when the version string is
    not quoted (RT#71224)
  * META:
    + add explicit configure_requires on Module::Build
    + add repository URL
    + add keywords
  * remove t/contents/wnpp.cache (added by mistake)
  * really test the missing version quotes fix
  * when warning about missing apt-file, state the minimum required version

  [ gregor herrmann ]
  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.
  * DhMakePerl/Command/make.pm: setup_dir(): change back to original
    directory after CPAN.pm changes it; thanks to Dima Kogan
    (cf. RT#71708).
  * Fix POD: --pkg-perl sets Vcs-Git, of course.

  [ Dima Kogan ]
  * Updated Dima Kogan's email address
  * When making recursively, I build/install this package only AFTER I
    built/installed its dependencies
  * find_debs_for_modules() no longer reports installed-but-not-in-aptfile
    packages as missing
  * when installing a package, $arch now comes from the control file
  (Closes: #651343)

  [ gregor herrmann ]
  * Treat META.json like META.yml (i.e. rm/unlink/ignore it).
  * DhMakePerl::Command::Packaging: don't initialize CPAN if --no-network
    is set. Otherwise t/cache.t fails because CPAN tries to update its
    config and goes out hunting for CPAN mirrors.
  * t/dists.t: allow multiple years in Copyright line. "refresh" adds the
    current year to the years of copyright. In other words: This was a
    "New Year's Bug". Closes: #655805

 -- Damyan Ivanov <dmn@debian.org>  Sun, 15 Jan 2012 19:44:27 +0200

dh-make-perl (0.74-1) unstable; urgency=low

  [ Tim Retout ]
  * t/cache.t: New test for handling unreadable cache files.
  * Debian::WNPP::Query: return an empty hashref rather than undef after
    failing to read cache file.
  * DhMakePerl::Config: Change default source format to 3.0 (quilt).
  * dh-make-perl: Update documentation of default source format.

  [ Damyan Ivanov ]
  * Packaging.pm: extend the examples regular expression to match demo/demos.
    Thanks to Kevin Ryde. Closes: #634932
  * add pristine-tar to Recommends. Thanks to Tim.
  * fix t/debian-version.t to not plan twice in case debian/changelog does not
    exist (e.g. when testing the CPAN distribution, which lacks debian/ stuff)
    RT#66214
  * setup_git_repository: streamline import of upstream sources

  [ gregor herrmann ]
  * Update created Vcs-Browser URLs for Debian Perl Group repositories.
  * Change URLs for DEP5 Format-Specification to point to
    http://anonscm.debian.org.
  * Update list of contributors/copyright holders in dh-make-perl and
    debian/copyright.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
  * DhMakePerl::Config: Change default VCS to Git.

  [ Salvatore Bonaccorso ]
  * Debian::AptContents: Fix typo in POD.

  [ Maximilian Gass ]
  * Fix Debian::AptContents for file name changes in apt-file 2.5.0
  * debian/control: Change Recommends on apt-file to versioned Recommends on 
    apt-file (>= 2.5.0).

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Sep 2011 23:17:59 +0300

dh-make-perl (0.73-1) unstable; urgency=low

  [ gregor herrmann ]
  * Build.PL: add missing modules.
  * Update copyright notices.
  * Debian::Control::Stanza::Source: add XS-Autobuild field; mention all
    fields in POD, and sort list.

  [ Salvatore Bonaccorso ]
  * create packages with Standards-Version 3.9.2.
  * Bump Standards-Version to 3.9.2. 
  * Debian::Control::Stanza::Source: Add DM-Upload-Allowed field to
    supported fields for source stanza in debian/control.
  * Debian::Control::Stanza::Source: Order fields similar to dh_make generated
    templates.

  [ Nicholas Bamber ]
  * Updated authorship notice

  [ Damyan Ivanov ]
  * Add --vcs option, guiding VCS-* headers' creation in --pkg-perl mode. It
    also helps with the initial repository creation for Git
  * Do not die when the WNPP cache cannot be read, for example due to binary
    format change in Storable. Also, use platform-independent storage.
    Closes: #626987 - dh-make-perl: Debian::WNPP::Query does not correctly
    invalidate cache or use platform-netural Storable format
  * bump default debhelper compatibility level to 8
  * note oldstable has perl 5.10.0, not 5.8.8
  * apply a patch from Manfred Stock fixing AptContents not to miss
    alternative dependencies when a given module is found in more than one
    package. Closes: #622852
  * Use CPAN::Meta for processing META.* files, adding support for META.json.
  * When no META file is available, try parsing name and version from Build.PL
    before Makefile.PL. Closes: #589946
  * fix calls to extract_basic_copyright from File::Find::find to not chdir,
    fixing lookups for ./LICENSE, etc on refresh. Closes: #613606 -- Fails to
    correctly identify GPLv2 in RT::Authen::ExternalAuth v0.08 on refresh

 -- Damyan Ivanov <dmn@debian.org>  Sun, 03 Jul 2011 14:51:54 +0300

dh-make-perl (0.72-1) unstable; urgency=low

  [ gregor herrmann ]
  * Fix "Tries to mkdir directory in home of building user": set HOME to a
    writable directory in debian/rules (closes: #609469).
  * debian/control: remove version from perl (build) dependency, lenny has
    already 5.10. Same for apt-file and 2.1.0.

  [ Nicholas Bamber ]
  * Added logic to parse special email change directives in the changelog
    so that the refresh command respects email changes (Closes: #609409)
  * Added myself to Uploaders
  * Various fixes for t/dists.t:
    - Added fix for .svn at the end of a filename rather than the middle
    - Second /dev/null check was attempting to diff an undefined value
    - Setting PERL5LIB (unsatisfactory work around for system(dh-make-perl) )

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

  [ Gunnar Wolf ]
  * Removed myself from Uploaders, acknowledging reality

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Feb 2011 17:23:06 +0200

dh-make-perl (0.71-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * DhMakePerl::Command::Packaging: Refer to "Debian systems" instead of
    "Debian GNU/Linux systems" in generated debian/copyright.

  [ Salvatore Bonaccorso ]
  * Improve regular expression to not match fields in Makefile.PL as
    MIN_PERL_VERSION to determine the version of the package. Thanks to
    Andrew Ruthven for reporting. (Closes: #596025)
  * Update my email address.

  [ gregor herrmann ]
  * Debian::Control::FromCPAN: also check test_requires and build_requires for
    finding build dependencies; bump (build) dependency on
    libmodule-depends-perl; closes: #601787.

  [ Peter Pentchev ]
  * My::Builder: fix a typo (raname -> rename).
  * t/AptContents.t: fix a typo (fund -> found).

  [ Damyan Ivanov ]
  * when looking for XS code, skip win32/ directories
  * Skip non-existing APT source files. (Closes: #557961 for real)
  * Detect usage of 'Artistic License 2.0' and include the license text in
    debian/copyright; (build-)depend on libsoftware-license-perl.
    (Closes: #589816)
  * Clarify documentation about --cpan argument being module name
    (Closes: 602059)
  * Support distribution names as arguments to --cpan (Closes: #607998)
  * Fix tests to stringify when comparing overloaded objects with strings
  * Control::Stanza: split dependency lists one package per line in order to
    make changes more VCS-friendly
  * bump debhelper compatibility level to 8 and drop --buildsystem from dh calls

 -- Damyan Ivanov <dmn@debian.org>  Tue, 28 Dec 2010 22:15:13 +0200

dh-make-perl (0.70-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * dh --buildsystem=buildsystem needs at least debhelper (>= 7.3.7), add this
    rule to DhMakePerl::Command::Packaging. 
  * Bump versioned Build-Depends on debhelper to (>= 7.3.7) as needed
    for --buildsystem.
  * In v8 mode, dh expects the sequence to run is always its first
    parameter. To be prepared for this, change order of passed arguments
    to the dh commands in debian/rules.
  * Now really bump Standards-Version of dh-make-perl to 3.9.1 in
    debian/control.

  [ Damyan Ivanov ]
  * Packaging.pm: fix a lexical declaration within a conditional statement

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Jul 2010 23:54:18 +0300

dh-make-perl (0.69-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * die early if unable to determine distribution name or version.
    Probably Closes: #525847 (already closed due to missing test case)

  [ Ansgar Burchardt ]
  * Do not require --cpan in addition to --pkg-perl when adding Vcs-* fields.
  * Debian::Dependency: Recognize deprecated '<' and '>' relations.
  * Debian::Dependency: Allow architecture restrictions in dependencies.
    For now this information is just ignored.
  * DhMakePerl::Command::Packaging (set_package_name): Use package name
    specified by --packagename option. (Closes: #584619)
  * dh-make-perl: Fix spelling error ("intercepring" → "intercepting").
  * Debian::WNPP::Query: Fix bugs_for_package method.
  * Debian::Control::FromCPAN (discover_dependencies): Do not ignore results
    from Module::Depends::Intrusive. (Closes: #587276)

  [ Salvatore Bonaccorso ]
  * Add support of Breaks field for binary package stanzas in debian/control
    to Debian::Control::Stanza::Binary.
  * Create packages with Standards-Version: 3.9.1.
  * Standards-Version: 3.9.1 (no changes needed).
  * Fix sentences in texts for License stanzas of debian/copyright: Add full
    stop mark after sentences.
  * Add explicit Link to versioned `/usr/share/common-licenses/GPL-1' as this 
    was added by base-files 5.8 (See #436105).
  * Fix debian/copyright text templates in t/dist/Strange-0.1 and
    t/dist/Strange-2.1.
  * Add support for perl_dbi addon for dh.
  * Build-Depends only on perl when Build.PL and Module::Build is used,
    instead of an alternate Build-Depends on perl (>= 5.10) |
    libmodule-build-perl. This is as support for Etch is now discontinued and
    Lenny already contains perl (>= 5.10) (Closes: #590114).

  [ Chris Butler ]
  * Fixed DhMakePerl::Utils to cope with modules in Module::CoreList where the
    version is unspecified. (Closes: #585755)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Jul 2010 18:34:25 +0300

dh-make-perl (0.68-1) unstable; urgency=low

  * make: fix a typo (DpkgList -> DpkgLists). Thanks to Dominic Hargreaves
    Closes: #580101
  * make: fix problems with --refresh
  * DpkgLists.t: do not insist that '/bin/perl' (or the corresponding regex) is
    only in perl-base. Instead, ensure that 'perl-base' is present in the
    returned list. Closes: #580025 -- FTBFS with perl-debug installed

 -- Damyan Ivanov <dmn@debian.org>  Tue, 04 May 2010 09:43:18 +0300

dh-make-perl (0.67-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * documentation: drop "--" in front of the commands
  * refresh: init ->rules before ->rules->drop_quilt
  * FromCPAN: handle version relation in META dependencies. Closes: #571632
  * do not populate dependency relation if there is no version
    requirements
  * Debian::Dependency now survives being given a string with leading
    spaces
  * make: implement --recursive. Creates debian/ for missing dependencies too.
    Closes: #342751
  * FromCPAN: drop leading 'v' from versions
  * a new module, Debian:DpkgLists is used to scan dpkg's file lists as a last
    resort for finding dependencies in locally-installed packages (a-la dpkg
    -S). Closes: #478781
  * Dependency: drop Debian::Version and use Dpkg::Version instances instead
    + add (build-)dependency on libdpkg-perl
  * make: try harder to discover already existing package by looking up
    distribution modules in APT contents and dpkg file lists. (cf. #530675)
  * extend the long description a bit

  [ Salvatore Bonaccorso ]
  * fallback to  a dummy short description if none can be extracted

 -- Damyan Ivanov <dmn@debian.org>  Fri, 30 Apr 2010 23:54:33 +0300

dh-make-perl (0.66-1) unstable; urgency=low

  * more code reorganisation

  * when detecting dependencies, use Module::Depends::Intrusive only if
    --intrusive is given
  * AptContents/find_file_packages: strip the full section off the package name
    Closes RT#56100. Thanks to Nicolas Mendoza
  * AptContents: avoid scanning the same Contents file multiple times. Thanks
    to Nicolas Mendoza
  * No longer created an invalid debian/control if the extracted long
    description is empty. Closes: #576878
  * reorder fields when writing debian/control
  * Dependencies->add now takes a list
  * don't break perl versions like '5.9.1'
  * core module checks now return perl package versions suitable for
    dependencies. Closes: #571642. Thanks to Josef Kutej.
  * rewrite core module dependency discovery
    Closes: #571646 -- "Depends: perl (>= 5.11.4)" as result of
    is_core_module(); Thanks to Josef Kutej
    Also Closes: #571642 -- nice_perl_ver() should be also used for
    is_core_module() dependencies; Thanks to Josef Kutej
  * when more than one package contain a given depended-on module, create
    alternative dependencies.
    Closes: #548367 -- detect alternative dependencies; Thanks to Slaven Rezic
  * refresh: keep current source format unless --source-format is given

  * Going non-native
  * rules: add --buildsystem=perl_build to dh
  * add debian/watch

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Apr 2010 13:12:54 +0300

dh-make-perl (0.65) unstable; urgency=low

  * in --refresh mode, overwrite the backups of the modified files under
    debian/
    Closes: #550137 -- debian/* files may disturb package generation process
  * in --make mode, rename any existing debian/ directory to debian.bak/,
    overwriting the later if it exists
  * when looking for docs, ignore .svn/ too
  * do not crash when APT's package cache cannot be opened
  * explain reasons when bumping build-dependencies on debhelper/quilt/etc
  * fix build-system detection when Module::Build::Compat is in play
  * package_already_exists: fix a 'Can't modify non-lvalue subroutine call'
    warning. Thanks to Jozef Kutej for the report and the patch.
  * overrides mechanism deprecated
  * create WNPP cache dir on cache store.
    Closes: 572278. Thanks to Daniel Kahn Gillmor.
  * obsolete using double-dashes in front of commands
  * debian/rules no longer overwritten on refresh if it seems to be using
    dh7-tiny style
  * code reorganization:
    + handling of each command now implemented as a separate module
    + debian/rules manipulation separated in Debian::Rules

 -- Damyan Ivanov <dmn@debian.org>  Mon, 08 Mar 2010 15:55:22 +0200

dh-make-perl (0.64) unstable; urgency=low

  [ Damyan Ivanov ]
  * DhMakePerl: drop unused extract_changelog()
  * DhMakePerl: fix_rules() replaced with update_file_list() for updating
    examples and docs and checks for deprecated/obsolete entries in
    DhMakePerl::Config
  * when finding dist version, convert "v1.002003" as "1.2.3"
  * --directory now accepts an optional directory argument
  * document that override mechanism is not used with --refresh
  * add tests for --refresh
  * when a required dependency is not found, scan WNPP for a corresponding ITP
  * do not die when WNPP can't be checked for ITPs
  * add --network option (defaults to true)
  * rewrite get_itp() as get_wnpp()
    + looks for all kinds of WNPP bugs
    + uses the lists on http://www.debian.org/devel/wnpp
  * add --source-format option (defaults to "1.0")
  * --refresh: fix pruning of binary package dependencies
    + also fix pruning of redundant perl(-base) (build-)dependencies
  * when looking for READMEs to include in .docs, skip debian/README.source
  * do not rewrite completely debian/rules if it looks like using DH7 tiny
    rules
  * drop_quilt(): remove --with=quilt from dh invocations

  [ gregor herrmann ]
  * DhMakePerl: update_file_list() allows to --refresh --only docs and
    examples separately now.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Feb 2010 20:50:04 +0100

dh-make-perl (0.63) unstable; urgency=low

  [ Brian Cassidy ]
  * Add Array::Unique to dependencies listed in Build.PL.

  [ Damyan Ivanov ]
  * Create packages with Standards-Version: 3.8.4
  * control: Standards-Version: 3.8.4 (no changes needed)
  * when checking for XS presence, ignore example/test/documentation
    directories

 -- Damyan Ivanov <dmn@debian.org>  Mon, 01 Feb 2010 12:00:11 +0200

dh-make-perl (0.62) unstable; urgency=low

  [ Damyan Ivanov ]
  * tighten matching READMEs a bit; Closes: #560165
  * while looking for docs, do not delve into SVN and GIT dirs
  * add perl (>= 5.10.1) as a preferred alternative (build) dependency to
    libmodule-corelist-perl (>= 2.14) and libtest-simple-perl (>= 0.82)
  * replace the hard-coded default to /etc/apt/sources.list with querying
    AptPkg's Config about possible sources.list files. Closes: #557961
  * call AptPkg::Config::_config->init before asking for configuration details
  * bump perl (build-) dependencies to 5.10 as we use language features not
    found in 5.8

  [ gregor herrmann ]
  * Add Provides and Replaces to lib/Debian/Control/Stanza{,/Binary}.pm.
  * Uppercase "DISCLAIMER" in generated debian/copyright to make it more
    easily visible.
  * New option "--only": update only specified file(s) in --refresh mode.
  * Update years of copyright. Sync copyright holders' list between
    debian/copyright and lib/DhMakePerl.pm.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Update to revision 135 of DEP5 Format-Specification for
    machine readable copyright file. 
  * Referesh template for debian/copyright to follow the revision 135 or DEP5
    Format-Specification. Update URI of the format specification.
  * Do not append found entry for examples and docs to the corresponding file,
    but open a new file with the found entries. Slightly improve the routines
    to avoid dublicated entries in package.examples and package.docs when using
    --refresh. 
  * debian/control: Add libarray-unique-perl to (Build-)Depends. 
  * Small code readability changes in dh-make-perl modules. 

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Jan 2010 21:14:37 +0100

dh-make-perl (0.61) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update template license text for debian/copyright to follow the DEP5
    Format-Specification at http://dep.debian.net/deps/dep5/. Update texts
    layout and drop use of License-Alias: Perl.

  [ gregor herrmann ]
  * Make sure we use the original $ENV{'PWD'} before CPAN::Distribution::get()
    resets it, otherwise the package ends up under $HOME/.cpan with the --cpan
    option.
  * Add a note to the disclaimer in the generated debian/copyright file.
  * Remove README, it's just an excerpt of the POD/manpage.
  * debian/copyright: convert to the DEP5 format.

  [ Damyan Ivanov ]
  * when considering a core module dependency, use 'perl' package instead of
    'perl-modules'

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Nov 2009 17:10:05 +0100

dh-make-perl (0.60) unstable; urgency=low

  [ Ryan Niebur ]
  * fix MANIFEST file handling
  * use Test::DistManifest
  * add missing requires for Parse::DebControl
  * add missing build_requires on File::Touch
  * Update ryan52's email address

  [ gregor herrmann ]
  * Re-add "NO_NETWORK=1" to tests in debian/rules, got lost somewhere.
  * Only add a dependency on perl-modules if we need a newer version than the
    one in oldstable.
  * Documentation fix for Debian::Version::deb_ver_cmp.
  * Add perl (>= 5.10) to as a preferred alternative to libmodule-build-perl.
  * Check if the possible examples directory is actually a directory before
    adding "$directory/*" to <pkg>.examples; thanks to Slaven Rezic for the
    bug report (closes: #548950).
  * Rewrite comment about YAML::LoadFile in lib/DhMakePerl.pm; thanks to
    Slaven Rezic for the bug report (closes: #548935).

  [ Damyan Ivanov ]
  * Drop support for debhelper compatibility levels other than 7
  * stop creating Makefile from Build.PL

  [ Maximilian Gass ]
  * Added myself to uploaders
  * Ignore META.yml when it's not a hash (closes: #543655)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Sep 2009 15:41:04 +0300

dh-make-perl (0.59) unstable; urgency=low

  [ Damyan Ivanov ]
  * debian/rules: compact to (almost) 3 lines

  [ Salvatore Bonaccorso ]
  * Bump Standards-Version to 3.8.3 (dh-make-perl, tests and generated
    packages).
    - The requirement for Perl modules to have a versioned Depend and
      Build-Depend on perl >= 5.6.0-16 has been removed.
  * t/Control.t: Adjust use of perl dependency in Build-Depends-Indep
    filed generated for test. Use Standards-Version 3.8.3 in generated
    `real' control file too.
  * lib/Debian/Control/FromCPAN.pm: get rid of the min_perl_version 
    constant use. 

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Aug 2009 20:30:25 +0300

dh-make-perl (0.58) unstable; urgency=low

  [ gregor herrmann ]
  * POD: add a notice that --notest was removed and the new way to skip tests
    is to add nocheck to the DEB_BUILD_OPTIONS environment variable
    (closes: #536733).

  [ Ansgar Burchardt ]
  * fix two typos in the documentation

  [ Damyan Ivanov ]
  * t/core-modules.t: add a bogus module test
  * corelist.t: do not iterate over modules in /usr/share|lib/perl/$VER
    some of the modules there aren't core, notably
    CPANPLUS::Config::System. Closes: #536989

 -- Damyan Ivanov <dmn@debian.org>  Tue, 04 Aug 2009 18:11:45 +0300

dh-make-perl (0.57) unstable; urgency=low

  [ Nathan Handler ]
  * Bump Standards-Version to 3.8.2
    + in debian/control (no changes needed)
    + in generated package's debian/control
    + in t/dists

  [ gregor herrmann ]
  * Change parsing of sources.list in Debian::AptContents to make it work with
    file:/ URIs, add a test. Thanks to Raphael Geissert for the bug report
    (closes: #535017).

  [ Salvatore Bonaccorso ]
  * Add myself to Uploaders 
  * Correct test in t/AptContents.t for file: schema.
  * Further improve gregoa's change and follow now that was apt-file is doing.
    (See #535017). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 04 Jul 2009 08:30:33 +0200

dh-make-perl (0.56) unstable; urgency=low

  [ gregor herrmann ]
  * Add the whole Debian::Dependency object to the deps hash in
    Debian::Dependencies' prune function instead of just the version; fixes
    "Can't call method "ver" without a package or object reference at
    /usr/share/perl5/Debian/Dependencies.pm line 125." error that occurs when
    a package is listed more than once in %deps.

  [ Ryan Niebur ]
  * remove useless comments from watch file
  * don't include .svn-base files in the docs. this fixes running the
    tests in a subversion checkout and fixes a really annoying bug where
    .svn-base files get added when you --refresh under an svn checkout.
  * depends on libparse-debianchangelog-perl (Closes: #526660)

  [ Damyan Ivanov ]
  * add 'make' to the list of commands
  * remove code supporting CPAN < 1.9205, which is what ships with
    perl-modules 5.10 (on which we already depend)
  * move CPAN configuration into a method
  * move finding CPAN module object for given module name into a method
  * when a dependency module package is not found, guess the package name
    after the CPAN distribution that contains the module

  * Dependency classes improvements:
    + there is no '==' dependency relation; it is '='
    + when checking for duplicate or overlapping dependencies, all kinds of
      version relations are supported
    + Dependencies: add overloading of 'eq' and '<=>' operators
    + null versions ("0", "0.000" and similar) are now ignored
    + add support for alternative dependencies (foo | bar)
  * --refresh additions
    + add/drop quilt from debian/rules and debian/control depending on
      presense of debian/patches/series; also try to keep README.source up to
      date with regard to quilt usage
    + if apt-file data is available, update package dependencies from META
    + Dependencies are sorted
  * move conversion from numerical perl version to deb version into a
    sub and add tests about it
  * substitute core module dependencies with dependencies on perl-
    modules
  * AptContents::find_perl_module_package returns Debian::Dependency
    object
  * fix a typo in NEWS.debian
  * FromCPAN: fix detection of arch-indep packages
  * Config: restore verbose to 1 by default
  * add --[no-]backups option to --refresh, on by default
  * DhMakePerl: convert "my $maindir" to "$self->main_dir" and stop passing it
    to object methods
  * Config: fix config file parsing when same options are given on the
    command line
  * add explicit build-dependency on libtest-simple-perl (>= 0.82) as we use
    new_ok() in tests and it is not available before that (and in current
    perl-modules)

  [ gregor herrmann ]
  * Create backup of debian/control in --refresh mode.
  * Append "-perl" to the module name when creating the package name
    unconditionally (closes: #530675).

  [ Nathan Handler ]
  * dh-make-perl: 
    - Mention that --refresh creates backup copies the files
  * lib/DhMakePerl.pm:
    - Make watch files ignore development releases (closes: #530639)
  * debian/control:
    - Add myself to the uploaders list

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Jun 2009 15:49:05 +0300

dh-make-perl (0.55) unstable; urgency=low

  [ Peter Pentchev ]
  * Tweak the "nocheck" test in debian/rules:
    - unbreak it: do not output the list of the group ID's of
      the developer's local account :)
    - remove the tab in the templates now that the contents is no
      longer a Makefile target command but an ifeq/endif pair instead

  [ Damyan Ivanov ]
  * t/corelist.t: ExtUtils::Miniperl is now recognised by Module::CoreList, so
    don't mark it as TODO anymore
  * Add Peter Pentchev to the list of contributors, move Ryan to keep the list
    sorted

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Apr 2009 21:58:31 +0300

dh-make-perl (0.54) unstable; urgency=low

  [ gregor herrmann ]
  * Change section to "perl" to match the changes in the overrides file.

  [ Damyan Ivanov ]
  * ignore --notest; instead, create debian/rules that obeys nocheck in
    DEB_BUILD_OPTIONS
    + add NEWS about that
    + remove --notest from POD
  * rules, control, compat: migrate to DH7
    + install links via debian/links, README via debian/docs
    + this gives support to 'nocheck' in DEB_BUILD_OPTIONS (Closes: #523560)
  * revert defaulting --dist to 'sid' when --pkg-perl is given
  * fix t/debian-version.t to allow (ignore) ~foo version suffix

  [ Ryan Niebur ]
  * add myself to the AUTHOR section

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Apr 2009 13:31:45 +0300

dh-make-perl (0.53) unstable; urgency=low

  [ Pierre Neyron ]
  * Fix apt-file dependency lookup if --dist is set to list of distribution,
    e.g. "{stable,testing}"

  [ Damyan Ivanov ]
  * default --dist to empty string, parsing all Contents files referenced in
    sources.list. Further addresses #517227

  [ gregor herrmann ]
  * Bump Standards-Version to 3.8.1 (dh-make-perl, tests and generated
    packages).
  * Remove leading article from test distributions' short description.
  * Remove spurious comma from Build-Depends and slightly rephrase short
    description.

  [ Ryan Niebur ]
  * if --pkg-perl, set the changelog to UNRELEASED by default
  * if --pkg-perl is given, and --dist is not, set dist = sid
  * add myself to uploaders
  * when refreshing, extract the debian/* copyright holders and years
    from debian/changelog
  * if the short description already starts with a space (for who knows
    what reason..), don't add a space after the :

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Apr 2009 22:54:04 +0200

dh-make-perl (0.52) unstable; urgency=low

  [ Damyan Ivanov ]
  * check if package named as the created one or containing modules with the
    same name already exists. Thanks to Brian Cassidy for bringing up the
    problem and Gregor Herrmann and Don Armstrong for the suggestions about
    the implementation
  * add cpan2deb 'flavour' of dh-make-perl. If it is called by that name, the
    behaviour changes for easy .deb creation.
  * add --locate command, showing if given Perl module is core, or in some
    Debian package
  * Debian::AptContents: explicitly use IO::Uncompress::Gunzip
    + Rework Contents file names matching from sources.list entries. In the
      process, stop allowing only sid/unstable items.
      Closes: #517227 -- dh-make-perl cannot find dependency using apt-file
  * update years of copyright

  [ gregor herrmann ]
  * Add libtie-ixhash-perl to Build-Depends-Indep and Depends.
  * Create symlinks /usr/bin/cpan2deb -> dh-make-perl and
    /usr/share/man/man1/cpan2deb.1p.gz -> dh-make-perl.1p.gz.
  * "--exclude": use default values from Dpkg::Source::Package instead of
    maintaining our own list; if invoked without arguments use default values
    again.
  * "--help": use pod2usage() instead of the hand-crafted usage_instructions()
    method, duplicate maintenance of documentation is error-prone.
  * Add the Apache License, Version 2.0 to the list of recognized licenses
    (closes: #511588).

 -- Damyan Ivanov <dmn@debian.org>  Fri, 27 Feb 2009 22:46:08 +0200

dh-make-perl (0.51) unstable; urgency=low

  [ gregor herrmann ]
  * Handle --desc option before --refresh to avoid uninitialized $desc
    variable.
  * Remove libpod-parser-perl from Depends, sync Build-Depends-Indep with
    Depends now that tests are run.
  * "--build": call `debian/rules build' before `fakeroot debian/rules binary'
    in order to do the build without (fake)root privileges. Thanks to Mark
    Hedges for the bug report and to Russ Allbery for the solution
    (closes: #510362).

  [ Damyan Ivanov ]
  * Apply two patches from Paul Fenwick reformatting the whitespace of
    dh-make-perl. Hopefully this makes the code a bit easier for people not
    used to it.
  * Add Paul Fenwick to the 'Patches from' section
  * Parse and use build-time dependencies too
    Closes: #501688 -- dh-make-perl ignoring build_requires in Makefile.PL
  * Add dependencies on libwww-mechanize-perl, libclass-accessor-perl,
    libemail-date-format-perl, libmodule-corelist-perl, libapt-pkg-perl.
  * Internal rewrites:
    - encapsulate dependencies into a class and rework the code to use it
    - extract_depends: try Module::Depends first, ::Intrusive -- second
    - use Module::CoreList to check if given module is a core one
    - avoid adding dependencies on ancient perl versions
  * add test suite
  * rules: run the test suite during build
    + sync B-D-I with Depends
    + add libfile-touch-perl, libtext-diff-perl, libfile-find-rule-perl and
      libtest-deep-perl to B-D-I
  * get_itp(): adapt to new BTS web interface. Thanks to SteveNZ for the
    patch.
  * add --verbose option (set by default)
    + disable diagnostic output when --no-verbose is given
  * instead of searching Perl modules in packages contents via apt-file, parse
    Contents files ourselves and cache the result
    + add --refresh-cache option, useful for cron-jobs
  * do not call bugs.debian.org when NO_NETWORK is set in the environment
    + rules: set NO_NETWORK=1 when running tests
  * uses Module::Build for building and running tests
    + add libmodule-build-perl to B-D

  [ Paul Fenwick ]
  * Setting the base for unit-testing:
    + Simple patch to avoid doing work if we're being required and not run.
    + Basic tests for extract_name_ver_from_autodie.
  * Updated regexp to extract version from basic Module::Install.
  * Updated extract_name_ver_from_makefile to handle M::I recommended
    syntax.
  * We now inform the user about the --core-ok switch if they're trying
    to build a core module.

  [ Ryan Niebur ]
  * process META.yml file when refreshing
  * create debian/compat file while refreshing
  * make --notest work with dh7 (Closes: #506708)
  * fix typo (s/shlib:Depends/shlibs:Depends/g) in control file generation
  * when searching for docs files, ignore .svn-base files. (fixes tests
    when building out of the svn repo)
  * mention running apt-file update in error message

  [ Ansgar Burchardt ]
  * Quote name of file containing the Artistic license.

  [ David Paleino ]
  * Removed myself from Uploaders.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Jan 2009 00:38:22 +0200

dh-make-perl (0.50) unstable; urgency=low

  [ gregor herrmann ]
  * Replace 'This module' with the real module name in the created long
    description and wrap the description to a sane width (closes: #506071).

  [ Damyan Ivanov ]
  * replace parsing of 'apt-file search' output with parsing the Contents
    files in /var/cache/apt/apt-file and cache the result.
    Closes: #506075 -- optimize apt-file invocations
  * wrap generated (build-)dependency fields. Thanks to Gregor Herrmann
  * fix a bug introduced in the fix of #487850 causing duplication of detected
    dependencies

 -- Damyan Ivanov <dmn@debian.org>  Sat, 22 Nov 2008 15:11:52 +0200

dh-make-perl (0.49) unstable; urgency=low

  [ Damyan Ivanov ]
  * Default debhelper level on generated packages is 7
  * Make parentheses around module name optional in the Module::Install-using
    Makefile.PL. Closes: #493652 -- Fails to detect name
    Thanks to Christ West (Faux) for the report and the patch
  * Make --depends and similar options to add packages to dependencies instead
    of replacing the detected dependecy lists.
    Closes: #487850 -- allow adding, not overwriting dependencies with
                       --depends and friends
  * Do not bail out when unable to determine dependencies
  * Avoid usage of uninitialized variable when no META file was found

  [ Gunnar Wolf ]
  * Now creates machine-parsable debian/copyright files (cf.
    http://wiki.debian.org/Proposals/CopyrightFormat)

  [ gregor herrmann ]
  * "--refresh" also re-creates debian/copyright and makes backups of both
    debian/rules and debian/copyright.
  * Look for 'example' as well as for 'examples'.
  * Complete creation of debian/copyright skeleton even if no license is
    found.
  * Fix typo in minimum Perl version number, thanks to Niko Tyni for spotting.
    Closes: #499730
  * Check for an existing ./debian directory earlier, there's no use in
    collecting all the information if we `die' anyway; thanks to Mark Lawrence
    for the bug report (closes: #500685).

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Nov 2008 00:37:10 +0200

dh-make-perl (0.48) unstable; urgency=low

  [ gregor herrmann ]
  * Fix POD error, thanks to Fabian Pietsch for the bug report and the patch
    (closes: #489916).

  [ Damyan Ivanov ]
  * extract_base_copyright: look for files relative to $maindir, not the
    current directory. Thanks to Matt Kraai for the patch. Closes:# 493058

 -- Damyan Ivanov <dmn@debian.org>  Thu, 31 Jul 2008 09:19:50 +0300

dh-make-perl (0.47) unstable; urgency=low

  * rules.Module-Build.xs: add config=optimize="$(CFLAGS)" to Build.PL
    invocation, causing honoring DEB_BUILD_OPTS=noopt. Thanks to Niko Tyni.
    Closes: #480110

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Jun 2008 21:38:20 +0300

dh-make-perl (0.46) unstable; urgency=low

  [ gregor herrmann ]
  * Replace "::" with "-" in $perlname in all cases, otherwise the URLs in
    debian/watch and debian/control's Homepage field are wrong.

  [ Damyan Ivanov ]
  * add --dh <ver> switch, controlling the set of rules files to use and
    desired debhelper compatibility level. Defaults to 5
  * add rules.dh7.{xs,noxs}
  * fix not detecting arch-dep packages in refresh mode (-R)
  * Bump Standards-Version to 3.8.0 (both in dh-make-perl and generated
    packages)
  * replace a call to `date -R` with a call to Email::Date::Format's
    email_date function. Avoids a fork. Thanks to Stephen Gran.
    + Add libemail-date-format-perl to Depends.

  [ gregor herrmann ]
  * Add stamp-files to rules.dh7.{xs,noxs} (cf.
    /usr/share/doc/debhelper/examples/rules.simple from debhelper 7.0.11)
  * Call process_meta also in refresh mode to get package name more easily.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Jun 2008 21:09:48 +0300

dh-make-perl (0.45) unstable; urgency=low

  * Fix mangling of long description, which was broken in 0.44; thanks to
    Kevin Ryde for the bugreport (closes: #481560).
  * Tighten regexp when checking for empty long description, avoids spurious
    warnings.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 May 2008 15:09:59 +0200

dh-make-perl (0.44) unstable; urgency=low

  [ gregor herrmann ]
  * Fix check_for_xs(), thanks to Kevin Ryde for the bug report and the
    patch (closes: #480420).
  * Escape dot in exclude pattern, also reported by Kevin Ryde in the same
    bugreport.
  * CPAN.pm creates build directories with a random part since 1.88_59; use
    the new CPAN::Distribution::base_id method to get nice directory names
    again (introduced in 1.91_53), if our CPAN.pm is new enough.
  * Initialize $desc to avoid a warning.
  * Only mangle $longdesc if it is not empty, avoids results like " .".
  * If the directory containing the unpacked tarball already exists rename
    it instead of moving the contents beneath it.
  * Slightly improve wording when searching with apt-file.
  * Handle errors from moving directories.
  * Change my email address in several files.
  * debian/copyright: update years of contributions.

  [ Damyan Ivanov ]
  * Remove Roberto C. Sanchez from Uploaders on his request.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2008 22:41:06 +0200

dh-make-perl (0.43) unstable; urgency=low

  [ gregor herrmann ]
  * Evaluate --arch command line option earlier.
  * Improve searching for dependencies with apt-file by using regexps; needs
    a recent version of apt-file.
  * Rank packages not ending in -perl lower in apt-file search results.
  * Improve documentation of the --build option, thanks to Antony Gelberg
    for the proposal.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 May 2008 09:58:23 +0300

dh-make-perl (0.42) unstable; urgency=low

  * Add a line to actually use the command line option --arch; thanks to
    Jack Bates for reporting the problem (closes: #474180).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 04 Apr 2008 00:55:56 +0200

dh-make-perl (0.41) unstable; urgency=low

  [ Damyan Ivanov ]
  * new command line switch, --refresh, causing re-creation of debian/rules
    using the current templates. Useful when updating packages with ancient
    debian/rules.
  * remove trailing blank from usage text
  * create debian/watch whenever upstream URL is available, not only if --cpan
    is given
  * when module has no specific perl version requirements, fall back to "perl
    (>= 5.6.0-12)" for B-D-I, like dh_perl. Remove retrieval of (now unised)
    information about the available perl version.

  [ Ivan Kohler ]
  * Add "--allow_mb_mismatch 1" to M:B invocation of "Build distclean" in
    rules.Module-Build.* templates.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 31 Mar 2008 21:51:24 +0300

dh-make-perl (0.40) unstable; urgency=low

  * use debhelper compatibility level 5 (and respective build-dependency on
    debhelper) for generated packages
  * all rules.* templates: drop obsolete 'source' and 'diff' targets

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2008 12:29:54 +0200

dh-make-perl (0.39) unstable; urgency=low

  [ gregor herrmann ]
  * Set debhelper compatibility level of the created package to 6.
  * Add comment and additional spaces to the created watch files to make the
    pattern easier to read and understand.
  * Fix small error in output of create_copyright().
  * Automatically find examples/eg/samples/sample directories for
    dh_installexamples; otherwise remove empty dh_installexamples line from
    debian/rules.
  * Format the contributors' section in the POD with over/item/back, in the
    verbatim paragraph the formatting codes were not rendered; thanks to
    Nacho Barrientos Arias for spotting.
  * Don't add a trailing comma to Depends: if there are no extra
    dependencies.

  [ Damyan Ivanov ]
  * rules.* templates: add "install" to phony targets list
  * dh-make-perl: when storing versioned dependencies, remove any leading 'v'

  [ Martín Ferrari ]
  * rules.* templates: Make source and diff .PHONY targets too, prettify a
    little: remove unneeded whitespace, make PERL a conditional assignment
    instead of an "#if" block, align the assignment of the variables.

  [ Roberto C. Sanchez ]
  * Add /me to uploaders
  * Remove obsolete README.Debian
  * Update copyright to name GPL-2 explicitly (GPL now links to GPL-3 on sid)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 18 Mar 2008 18:47:31 -0400

dh-make-perl (0.38) unstable; urgency=low

  [ gregor herrmann ]
  * Fix inline documentation: it's Vcs-Svn and Vcs-Browser nowadays.

  [ Damyan Ivanov ]
  * all templates: use $(TMP) in the comment before the install
  * MakeMaker templates: do not set INSTALLVENDORARCH and VENDORARCHEXP when
    configuring. Instead, verbosely remove the empty dirs if they exist. Perl
    5.10's MakeMaker is reported to be fixed.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 10 Jan 2008 17:00:03 +0200

dh-make-perl (0.37) unstable; urgency=low

  [ Martín Ferrari ]
  * Replace erroneous reference to $opts{basepkgs} in extract_depends, thanks
    to Hilko Bengen for the correction. (Closes: #452122).
  * Obtain a list of matching modules when querying CPAN (instead of just the
    first match) to allow it to correctly choose between module names that
    only differ in case. (Closes: #451838).

  [ Gunnar Wolf ]
  * Now generates packages with standards-version: 3.7.3
    (i.e. meta-bumped-up standards-version)

  [ gregor herrmann ]
  * Extend regex for matching upstream versions on the creation of
    debian/watch.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 28 Dec 2007 15:16:51 +0200

dh-make-perl (0.36) unstable; urgency=low

  * Fix install dependencies in rules templates
    Before:
      install: build install-stamp
      install-stamp:
    After:
      install: install-stamp
      install-stamp: build-stamp
    Avoids problems with parallel builds
  * Use "$@" when touching stamps
  * Bump standards-version to 3.7.3 (no changes)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Dec 2007 11:28:18 +0200

dh-make-perl (0.35) unstable; urgency=low

  [ Oliver Gorwits ]
  * Try Module::Depends if M::D::Intrusive fails (Closes: #447520). This
    helps Module::Install modules (with META.yml) to work with dh-make-perl.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 14 Nov 2007 16:46:02 +0200

dh-make-perl (0.34) unstable; urgency=low

  * Add Vcs-* fields instead of the obsolete XS-Vcs-* fields when invoked
    with --pkg-perl.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 17 Oct 2007 17:51:46 +0200

dh-make-perl (0.33) unstable; urgency=low

  [ David Paleino ]
  * Added --email|-e and --packagename|-p switches (Closes: #443170).

  [ gregor herrmann ]
  * Create Homepage: field in source stanza instead of pseudo-field in long
    description.
  * Add "--pkg-perl" to output of usage instructions.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields.

  [ Damyan Ivanov ]
  * Add "create_packlist=0" to Module-Build templates
  * Replace `pwd` with $(CURDIR) in debian/rules

 -- Damyan Ivanov <dmn@debian.org>  Mon, 15 Oct 2007 11:23:06 +0300

dh-make-perl (0.32) unstable; urgency=low

  [ Frank Lichtenheld ]
  * Unbreak handling of --version which was broken by the
    getopts overhaul in 0.27

  [ David Paleino ]
  * Added new command line switch (--closes), to specify the ITP that
    the new package is going to close
  * Now dh-make-perl automagically fetches the ITP bug number from WNPP!

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Sep 2007 15:02:54 +0300

dh-make-perl (0.31) unstable; urgency=low

  [ David Paleino ]
  * rules.MakeMaker.*: changed approach to the removal of unneeded (and
    unwanted) dirs:
    - /usr/lib/perl5/ for architecture-independent packages;
    - /usr/share/perl5/ for architecture-dependent packages

  [ Damyan Ivanov ]
  * Use http://search.cpan.org/dist/$perlname/ for upstream URL, watch and
    Homepage. Idea borrowed from David Paleino.
  * Document --pkg-perl option

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Sep 2007 11:38:10 +0300

dh-make-perl (0.30) unstable; urgency=low

  [ Gunnar Wolf ]
  * Added warning when the extracted copyright information is incomplete
    Closes: #439328 -- Stricter checks for debian/copyright

  [ Damyan Ivanov ]
  * rules* clean: Move dh_clean $stamp_files call before the $(MAKE) clean
    call as that may fail half-way, leaving the stamps in place

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Sep 2007 11:53:18 +0300

dh-make-perl (0.29) unstable; urgency=low

  * rules*.xs: add a call to dh_shlibdeps for arch-dependent packages
    Thanks to Martín Ferrari for spotting

 -- Damyan Ivanov <dmn@debian.org>  Tue, 21 Aug 2007 09:47:49 +0300

dh-make-perl (0.28) unstable; urgency=low

  [ Gunnar Wolf ]
  * Added "basepkgs" option to specify which packages should be
    considered base
  * The list of base modules is no longer specified by hand - Base
    packages are now queried and this list is generated from it.
  * Pragmas and base modules are handled the same way - There is no real
    way to differentiate them... And they were used interchangeably, so
    there ;-)
  * Homogeneized the usage of dh_* helpers in the different cases of
    generated debian/rules

  [ Damyan Ivanov ]
  * current watch file version is 3, this is what we generate too
    stricter debian/watch patterns, omit capturing file extension
  * Move tests from install to build target
  * better explaination in binary-arch target for arch-indep packages and in
    binary-indep target of arch-dep packages why the target is empty
  * Add new option "--pkg-perl" which adds some functionality useful when
    packages are created for the Debian Perl Group. Currently adds XS-Vcs-*
    fields to debian/control and sets the Maintainer and Uploaders fields
    accordingly

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Aug 2007 10:26:31 +0300

dh-make-perl (0.27) unstable; urgency=low

  [ Gunnar Wolf ]
  * Moved all the options received from the user to %opts, for better
    code readability
  * When the module to be packaged declares a dependency on a specific
    Perl version, reflect it in the output dependency/build dependency
    information, rather than complaining that no such module exists

  [ gregor herrmann ]
  * Add "It was downloaded from ..." to debian/copyright if called with
    "--cpan $modulename".
  * Define $dir before using it in "$modulepm =" in
    extract_name_ver_from_makefile().
  * Replace q[quotes] by "quotes" when parsing Makefile.PL in
    extract_name_ver_from_makefile().
  * Actually use command line option "--desc".

  [ Damyan Ivanov ]
  * Added packaging copyright/licensing to the generated debian/copyright
  * Added myself to Uploaders
  * Wrap long fields in debian/control
  * Add detailed copyright info in debian/copyright according to SVN logs and
    debian/changelog

  [ Gunnar Wolf ]
  * Clarified the messages when called in a system where apt-file
    (recommended but not depended upon) is not present (Closes: #428415)
  * Added some modules should be part of @stdmodules; the list is hand-
    crafted and incomplete - we need a better solution!
        
 -- Gunnar Wolf <gwolf@debian.org>  Tue, 07 Aug 2007 10:50:45 -0500

dh-make-perl (0.26) unstable; urgency=low

  [ Frank Lichtenheld ]
  * s/debian/Debian/ in Description

  [ Gunnar Wolf ]
  * Trimmed unneeded whitespace from generated files - Thanks to Kees
    Cook <kees@outflux.net> for the patch! (Closes: #411282)
  * Patched regex for finding the module name when unde Module::Install,
    allowing for whitespace between the "name" string and the module
    name. Thanks to Marc Chantreux for the patch (and the patience ;-) )
  * Replaced the (now deprecated) call to the external program 822-date
    for date -R
  * Started reorganizing the code - All bare open() calls are now
    handled through IO::File; shuffled some functions around so the code
    is more followable
  * Added --core-ok option to allow building core modules (Closes:
    #409017)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 09 May 2007 19:24:16 -0500

dh-make-perl (0.25) unstable; urgency=low

  * Fixed the Perl package data parsing function, fixing an unneeded
    warning. Thanks to Johnny Morano for the patch! (Closes: #396846)
  * Generated dependency on Perl was incomplete (it _only_ missed the
    package name :-/ ) - Thanks to Hilko Bengen for pointing it out.
    (Closes: #400400)
  * No longer dies when building Module::Install modules - It now asks
    the user to manually specify the dependencies. (Closes: #396536)
  * Can now specify via command line depends, build-depends and build-
    depends-indep
  * A bit of basic cleaning, trying to deuglify this very much love-
    needing source code
  * Added patch by Jesper Krogh which allows dh-make-perl to generate
    versioned dependency strings (Closes: #364325)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 28 Nov 2006 11:47:32 -0600

dh-make-perl (0.24) unstable; urgency=low

  * Transferred package ownership to the Debian Perl Group
  * Added patch by Fermin Galan, allowing to specify the maintainer from
    the overrides file
  * Fixed Perl package version parsing (Closes: #386086, #393438)
  * Fixed: Was not properly ignoring Subversion/CVS directories when
    called with an implicit --exclude/-i (Closes: #394314)
  * Fixes the cases where Makefile.PL depends on FindBin (Closes:
    #375146)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Oct 2006 13:22:17 -0500

dh-make-perl (0.23) unstable; urgency=low

  * Added --requiredeps option, to force dh-make-perl to choke on
    unresolvable dependencies (Closes: #382027)
  * Packages which are not arch-indep will correctly list perl as build-
    depends, not build-depends-indep (Closes: #381148)
  * The version of Perl depended upon for building is the one currently
    installed in the system, as reported by dpkg

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 28 Aug 2006 20:57:15 -0500

dh-make-perl (0.22) unstable; urgency=low

  * Added patch by Peter Morch <mn3k66i02@sneakemail.com> allowing user again
    to specify packaging version number (which we had, but was trampled upon
    by autodetection code). (Closes: #382039)
  * Updated generated standards-version to 3.7.2, after checking nothing
    specifically refers to Perl packaging. Updated debhelper required
    version to >= 5.0.0 (Closes: #381130)
  * Updated this package's standards-version to 3.7.2 and debhelper
    required version to >= 5.0.0

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 13 Aug 2006 20:09:12 -0500

dh-make-perl (0.21) unstable; urgency=low

  * Added patch by Adam Sjoegren/Damyan Ivanov fixing newlines in
    descriptions that broke the generated debian/control files (Closes:
    #350728)

 -- Gunnar Wolf <gwolf@debian.org>  Wed,  8 Mar 2006 12:56:03 -0600

dh-make-perl (0.20) unstable; urgency=low

  * No longer ignores META.yml due to the silly oversight of yours
    truly, that was handing back an empty hashref :-/ Thanks to Adam
    Sj�gren and to Noel Maddy for two equivalent reports and two
    identical patches. (Closes: #331658, #328687)
  * Added yet-another-case of how to get version information - Thanks to
    Noel Maddy for the patch (Closes: #328700)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 24 Oct 2005 12:31:59 -0500

dh-make-perl (0.19) unstable; urgency=low

  * Generated debian/watch was including the trailing dot as part of the
    version number - fixed
  * Does not die anymore when META.yml is wrongly formed (Closes:
    #326807)

 -- Gunnar Wolf <gwolf@debian.org>  Tue,  6 Sep 2005 16:50:14 -0500

dh-make-perl (0.18) unstable; urgency=low

  * Generated modules don't ignore the result of the cleaning process in
    the presence of a Makefile/Build (Closes: #325452)
  * Supports also getting information from modules that use
    Module::Install
  * Better support for getting information out of the META.yml file,
    needed for correct building of Module::Build-based modules (Closes:
    #315798)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 29 Aug 2005 11:56:28 -0500

dh-make-perl (0.17) unstable; urgency=low

  * Fixed: Module::Depends::Intrusive was unable to find files because
    the build dir was not part of @INC (Closes: #303806)
  * Fixed: Oversight in previous version breaks information gathering
    from modules including a valid META.yml (Closes: #309552)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 18 May 2005 09:36:11 -0500

dh-make-perl (0.16) unstable; urgency=low

  * dh-make-perl: Die on error from Module::Depends::Intrusive
  * Fixed extract_name_ver to correctly deal with empty META.yml files

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 14 May 2005 17:20:30 -0500

dh-make-perl (0.15) unstable; urgency=low

  * dh-make-perl: Fix documentation to respect the new names for the rules
    templates.
  * dh-make-perl: Check if module from cpan is a standard module
    (Closes: #136732)
  * dh-make-perl: Uses Module::Depends::Intrusive in extract_depends() to find
    dependencies now.  This simulates a build of the module ensuring that you
    get all the dependencies.  (Closes: #297537)
  * debian/control: Added dependency on libmodule-depends-perl for dependency
    detection fix.
  * dh-make-perl: Added a function to make a watch file for modules from
    CPAN.  (Closes: #253919)

 -- Gunnar Wolf <gwolf@debian.org>  Fri,  1 Apr 2005 18:05:14 -0600

dh-make-perl (0.14) unstable; urgency=medium

  * rules.ModuleBuild.{noxs,xs}: Add rules templates for Module::Build
    based packages. Thanks for the (slightly modified) patch from
    Jason Kohles <email@jasonkohles.com>. (Closes: #258123, #285941, #300121).
    Thanks to Marc 'HE' Brockschmidt for incorporating this work.
  * Now performs tests as part of the build process. Added the --notest
    switch to revert the behavior to the old one.
  * Added a Recommends: libmodule-build-perl relationship

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 23 Mar 2005 19:32:08 -0600

dh-make-perl (0.13) unstable; urgency=low

  * New maintainer, Gunnar Wolf <gwolf@debian.org>, with Wolfgang Schemmel
    <debian@37.org> as a co-maintainer.
  * Fixed bug which made dh-make-perl get the module name wrong when it ended
    in ::Perl. Applied patch by David Pashley - Thanks! (Closes: #249472)
  * Fixed an uninitialized substitution warning if there is no
    changelog. Applied patch semantically equivalent to Edward Bett's,
    thanks! (Closes: #243338)
  * Handles the cases where POD has DETAILS instead of DESCRIPTION, as
    well as cases where the POD files are DOS-like (i.e., lines end with
    \r\n). Applied Edward Betts' patch, thanks! (Closes: #267899)
  * Documented the --build and --install switches in the synopsis,
    forced the module to be built if only --install is specified.
    (Closes: #269606)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 14 Mar 2005 14:03:17 -0600

dh-make-perl (0.12) unstable; urgency=low

  * debian/rules: Make make clean cleaner.
  * debian/control: I'm a DD now!
  * dh-make-perl:
    + Don't use rename, as it won't work across devices.
    + Rewrite the ugly stuff that inserts the found docs and the changes file
      into the rules file. IMO this whole thing has to be rewritten *sigh*
    + Fix --build switch by calling make directly with the -C switch. Thanks
      for the report to Emanuele Zeppieri <ema_zep@libero.it> (Closes:
      #241159)
    + Work with DEBEMAIL and DEBFULLNAME as dch does.
    + Fix regexp finding the used modules to allow stuff like use Gtk2"-init"
      and Foobar(). Thanks for the report to Eric Schwartz 
      <emschwar@fc.hp.com>. (Closes: #234774)
  .
  ### I'm planning to rewrite dh-make-perl over the next few weeks. Please
  ### mail me if you want to contribute or have ideas for new features.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 31 Mar 2004 17:30:44 +0200

dh-make-perl (0.11) unstable; urgency=low

  * Let dh-make-perl also work on directories other than ".". (Closes:
    #230382)
  * Apply patch from Gaal Yahas <gaal@forum2.org> to the CPAN code, now
    CPAN.pm itself chooses the default mirror. Thanks Gaal! (Closes: #230409)
  * Fixed "Use of uninitialized value" warnings in the default override file.
  * Introducing the --exclude|i switch to allow people to exclude some files
    from the search for docs and stuff. This defaults to the exclusion of
    CVS/.svn dirs. (Closes: #223411, #227183, #227113)
  * Now prints out the Perl error message when failing to open a file.
  * Add a note to the end of the long description to state that it was
    automagically extracted from the source. (Closes: #226146)
  * Updated both rules.noxs and rules.xs.
  * Updated manpage. 

 -- Marc Brockschmidt <marc@dch-faq.de>  Mon,  9 Feb 2004 20:39:46 +0100

dh-make-perl (0.10) unstable; urgency=low

  * New maintainer. (Closes: #206877)
  * Acknowledge fixes in the 3 NMUs. (Closes: #153311, #138517, #149295,
    #158427, #131937, #134404, #143631)
  * Changed debhelper version number in the generated debian/rules file to
    woody standard 4.0.2. (Closes: #188313)
  * Changed some CPAN things: The package will be build in ./$packagename/,
    a tarball will be moved to ./$packagename_$version.orig.tar.gz.
  * Use Build-Depends-Indep for perl instead of Build-Depends to make packages
    lintian clean.
  * Search for packages containing needed perl modules with apt-file (if
    installed), otherwise just output the list of needed modules. (Closes:
    #194755)
  * Applied patch to enable overrides again. Thanks to Adrian Phillips
    <adrianp@powertech.no>. (Closes: #207822)
  * Applied patch to parse Makefile.PL right (Sometimes we need DISTNAME and
    not NAME). Thanks to Adrian Phillips <adrianp@powertech.no>. (Closes: #207833)
  * Applied patch to get information from META.yml instead of Makefile.PL.
    Thanks to Ilya Martynov <ilya@martynov.org>. (Closes: #209059)

 -- Marc Brockschmidt <marc@dch-faq.de>  Fri, 24 Oct 2003 13:03:11 +0200

dh-make-perl (0.9-0.4) unstable; urgency=low

  * Non-maintainer upload
  * Change from section "interpreters" to "perl" in boilerplate.
  * changed to debian/compat instead of DH_COMPAT
  * change to debhelper compatibility level v4 from v3: added ${misc:Depends}

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 31 Mar 2003 13:16:29 -0800

dh-make-perl (0.9-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Use version from CPAN if --cpan was used and Paolo's parsing fails,
    as per suggestion from joeyh (closes: Bug#158427)

 -- Ivan Kohler <ivan-debian@420.am>  Mon,  2 Sep 2002 03:57:49 -0700

dh-make-perl (0.9-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Reformat description (closes: Bug#134404)
  * Fix binary-arch vs. binary-indep in package's own debian/rules
  * Don't create a README.Debian file or use Emacs vars in changelog
    (closes: Bug#153311)
  * Use an extension on perl -pi invocations (closes: Bug#149295)
  * Better $VERSION parsing, perhaps (closes: Bug#138517) might be better to
    just ask CPAN(PLUS)?
  * fix typo in manpage (closes: Bug#131937)
  * CPANPLUS option (closes: Bug#143631)
  * Fix binary-arch vs. binary-indep in rules.noxs
  * Automatically add links to /usr/share/common-licenses for some common 
    licenses.

 -- Ivan Kohler <ivan-debian@420.am>  Thu, 22 Aug 2002 18:18:51 -0700

dh-make-perl (0.9) unstable; urgency=low

  * Handle better files without pod info (Closes: bug#109437).
  * Require the user to specify the version if the euristics don't work:
    closes: bug#112373.
  * Use dh_installman in the rules files instead of dh_installmanpages:
    closes: bug#118130.

 -- Paolo Molaro <lupus@debian.org>  Sun, 11 Nov 2001 19:36:06 +0100

dh-make-perl (0.8) unstable; urgency=low

  * Quick, before anyone notices.

 -- Paolo Molaro <lupus@debian.org>  Wed, 13 Jun 2001 09:49:38 +0200

dh-make-perl (0.7) unstable; urgency=low

  * gzclose error was on CPAN module (Closes: bug#86644).
  * Fixed descriptions (Closes: bug#94570).
  * Updates for new version of CPAN.pm.
  * Limit somewhat the lines of text in the descriptions.
  * Handle better some weird situations (Closes: bug#89733).
  * Also consider $ENV{DEBFULLNAME) for the maintainer's name (Closes: bug#98316).

 -- Paolo Molaro <lupus@debian.org>  Tue, 12 Jun 2001 15:39:50 +0200

dh-make-perl (0.6) unstable; urgency=low

  * Handle correctly interior sequences in pod parser.
  * Shut up some warnings.
  * Correctly set maintainer email in some cases.
  * Better copyright guesses.
  * Ensure policy compliant names and version numbers.
  * Fixes in rules files (support DEB_BUILD_OPTIONS).
  * Better checks for binary modules (added a --arch option, too).

 -- Paolo Molaro <lupus@debian.org>  Mon, 19 Feb 2001 13:52:39 +0100

dh-make-perl (0.5) unstable; urgency=low

  * Do not use install-stamp in sample rules files (Closes: bug#84509).
  * Updates to policy 3.5.1.

 -- Paolo Molaro <lupus@debian.org>  Sun, 18 Feb 2001 21:42:27 +0100

dh-make-perl (0.4) unstable; urgency=low

  * Use Pod::Parser to parse the pod tags.
  * Build package in current directory.
  * Updated generated rules files to new perl policy.

 -- Paolo Molaro <lupus@debian.org>  Fri, 16 Feb 2001 23:39:08 +0100

dh-make-perl (0.3) unstable; urgency=low

  * Fix typo in README.Debian filename (Closes: bug#77499).
  * Handle description creation better (Closes: bug#78970).
  * Fixed docs about DEBEMAIL env var (Closes: bug#80607).

 -- Paolo Molaro <lupus@debian.org>  Sun, 28 Jan 2001 13:20:52 +0100

dh-make-perl (0.2) unstable; urgency=low

  * Added support for downloading modules from CPAN.
  * Added switches to build and install the resulting package.

 -- Paolo Molaro <lupus@debian.org>  Wed, 25 Oct 2000 15:52:55 +0200

dh-make-perl (0.1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@debian.org>  Mon, 16 Oct 2000 19:14:24 +0200
